aagc.vo

## Class UlterioreInterventoPAIResponse

- java.lang.Object
- - aagc.vo.UlterioreInterventoPAIResponse

-     public class UlterioreInterventoPAIResponse
      extends java.lang.Object

  Classe Java per ulterioreInterventoPAIResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="ulterioreInterventoPAIResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codiceTipoIntervento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrizioneIntervento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="250"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceGM" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceGM`
    `protected java.lang.String` | `codiceTipoIntervento`
    `protected java.lang.String` | `descrizioneIntervento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UlterioreInterventoPAIResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceGM()` Recupera il valore della proprietà codiceGM.
    `java.lang.String` | `getCodiceTipoIntervento()` Recupera il valore della proprietà codiceTipoIntervento.
    `java.lang.String` | `getDescrizioneIntervento()` Recupera il valore della proprietà descrizioneIntervento.
    `void` | `setCodiceGM(java.lang.String value)` Imposta il valore della proprietà codiceGM.
    `void` | `setCodiceTipoIntervento(java.lang.String value)` Imposta il valore della proprietà codiceTipoIntervento.
    `void` | `setDescrizioneIntervento(java.lang.String value)` Imposta il valore della proprietà descrizioneIntervento.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceTipoIntervento

          protected java.lang.String codiceTipoIntervento

    - #### descrizioneIntervento

          protected java.lang.String descrizioneIntervento

    - #### codiceGM

          protected java.lang.String codiceGM

  - ### Constructor Detail

    - #### UlterioreInterventoPAIResponse

          public UlterioreInterventoPAIResponse()

  - ### Method Detail

    - #### getCodiceTipoIntervento

          public java.lang.String getCodiceTipoIntervento()

      Recupera il valore della proprietà codiceTipoIntervento.
      Returns:
        possible object is `String`

    - #### setCodiceTipoIntervento

          public void setCodiceTipoIntervento(java.lang.String value)

      Imposta il valore della proprietà codiceTipoIntervento.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizioneIntervento

          public java.lang.String getDescrizioneIntervento()

      Recupera il valore della proprietà descrizioneIntervento.
      Returns:
        possible object is `String`

    - #### setDescrizioneIntervento

          public void setDescrizioneIntervento(java.lang.String value)

      Imposta il valore della proprietà descrizioneIntervento.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceGM

          public java.lang.String getCodiceGM()

      Recupera il valore della proprietà codiceGM.
      Returns:
        possible object is `String`

    - #### setCodiceGM

          public void setCodiceGM(java.lang.String value)

      Imposta il valore della proprietà codiceGM.
      Parameters:
        `value` - allowed object is `String`